SDL_GetSensorInstanceNonPortableType(3)

NAME
SDL_GetSensorInstanceNonPortableType - Get the platform dependent type of a sensor.

HEADER FILE
Defined in SDL3/SDL_sensor.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetSensorInstanceNonPortableType(SDL_SensorID instance_id);

FUNCTION PARAMETERS

instance_id
    the sensor instance ID

RETURN VALUE
Returns the sensor platform dependent type, or -1 if instance_id is not valid

AVAILABILITY
This function is available since SDL 3.0.0.